restinio::utils::metaprogramming::impl::transform< Transform_F, From<>, To< Results... > > Struct Template Reference

`#include <metaprogramming.hpp>`

## Public Types

using | type = To< Results... >

## Detailed Description

template<template< class... > class Transform_F, template< class... > class From, template< class... > class To, typename... Results>
struct restinio::utils::metaprogramming::impl::transform< Transform_F, From<>, To< Results... > >

Definition at line 238 of file metaprogramming.hpp.

## Member Typedef Documentation

## type

template<template< class... > class Transform_F, template< class... > class From, template< class... > class To, typename... Results>

using restinio::utils::metaprogramming::impl::transform< Transform_F, From<>, To< Results... > >::type = To<Results...>

Definition at line 240 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp